@import '../colors';

.container {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  font-size: 12px;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
  main {
    height: 100%;
    .mat-drawer-container.mat-sidenav-container {
      height: 100%;
      .mat-drawer-content.mat-sidenav-content {
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        position: relative;
        z-index: 1;
        display: block;
        height: 100%;
        overflow: auto;
        min-height: 100%;
      }

      .mat-drawer-content.mat-sidenav-content {
        padding: 10px;
      }
    }
  }
}

a:link,
a:visited {
  text-decoration: none;
  color: @white;
}

mat-spinner {
  display: inline-block;
}

.home {
  .app_logo {
    height: 50px;
    vertical-align: bottom;
  }
  .app_name {
    font-weight: lighter;
    font-size: 0.8em;
    letter-spacing: 0.05rem;
  }
}

.content {
  padding: 20px;
  text-align: center;
  font-size: 1.5em;
}
